File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# _DMXInputInfo Struct Reference

`#include <dmxinput.h>`

## Data Fields
const char * | name
Bool | freename
Bool | detached
int | inputIdx
int | scrnIdx
Bool | core
Bool | console
Bool | windows
dmxSigioState | sigioState
int | sigioFdCount
int | sigioFd [DMX_MAX_SIGIO_FDS]
Bool | sigioAdded [DMX_MAX_SIGIO_FDS]
int | vt_switch_pending
int | vt_switched
int | numDevs
DMXLocalInputInfoPtr * | devs
char * | keycodes
char * | symbols
char * | geometry

## Detailed Description

DMXInputInfo is typedef'd in #dmx.h so that all routines can have access to the global pointers. However, the elements are only available to input-related routines.

## Field Documentation

Bool _DMXInputInfo::console

| True if console and backend input share the same backend display

Bool _DMXInputInfo::core

| If True, initialize these devices as devices that send core events

Bool _DMXInputInfo::detached

| If true, input screen is detached

DMXLocalInputInfoPtr* _DMXInputInfo::devs

| List of actual input devices. Each _DMXInputInfo structure can refer to more than one device. For example, the keyboard and the pointer of a backend display; or all of the XInput extension devices on a backend display.

Bool _DMXInputInfo::freename

| If true, free name on destroy

char* _DMXInputInfo::geometry

| XKB geometry from command line

int _DMXInputInfo::inputIdx

| Index into dmxInputs global

char* _DMXInputInfo::keycodes

| XKB keycodes from command line

const char* _DMXInputInfo::name

| Name of input display or device (from command line or config file)

int _DMXInputInfo::numDevs

| Number of devices handled in this _DMXInputInfo structure.

int _DMXInputInfo::scrnIdx

| Index into dmxScreens global

Bool _DMXInputInfo::sigioAdded[DMX_MAX_SIGIO_FDS]

| Active fds

int _DMXInputInfo::sigioFd[DMX_MAX_SIGIO_FDS]

| List of fds

int _DMXInputInfo::sigioFdCount

| Number of fds in use

dmxSigioState _DMXInputInfo::sigioState

| Current stat

char* _DMXInputInfo::symbols

| XKB symbols from command line

int _DMXInputInfo::vt_switch_pending

| True if a VT switch is pending, but has not yet happened.

int _DMXInputInfo::vt_switched

| True if a VT switch has happened.

Bool _DMXInputInfo::windows

| True if window outlines are draw in console

The documentation for this struct was generated from the following file:

- dmxinput.h